#! /usr/bin/python2.5

from bzv.infra import Infra
from bzv.storagecomponent import BZVStorageComponent as StorageComponent
import boushi
from os.path import join
import sys

if len(sys.argv) != 3:
    print """Usage: remove-deleted.py <path+"/bzv.cfg"> <repository id>
All documents with a deleted flag are removed.
""";
    sys.exit()

bzvConfigFile = sys.argv[1]
identifierPrefix = sys.argv[2]
infra = Infra('Starting removing deleted records',configFile=bzvConfigFile)
configRoot = infra.configRoot
config = configRoot.getSectionDict('system')
storage = join(config['databasepath'], "storage")
storageType = configRoot.get('storagetype', section = 'storagecomponent')
db = StorageComponent(storage, storageType=storageType)

count = 0

for identifier in db.listIdentifiers(partName="deleted", identifierPrefix=identifierPrefix):
    count += 1
    print identifier
    db.deleteDocument(identifier)

#for identifier in db.listIdentifiers(partName="meta", identifierPrefix=identifierPrefix):
#    print identifier
#    for i,j in db.glob((identifier, None)):
#        print i
#        print j
#    break

print count, "records removed"
